# frozen_string_literal: true

# See https://docs.gitlab.com/ee/development/migration_style_guide.html
# for more information on how to write migrations for GitLab.

class BackfillReadthedocsIntegration < Gitlab::Database::Migration[2.0]
  disable_ddl_transaction!

  restrict_gitlab_migration gitlab_schema: :gitlab_main

  def up
    connection.execute <<~SQL
      UPDATE integrations
      SET type_new='Integrations::Readthedocs'
      WHERE type='ReadthedocsService'
    SQL
  end

  def down
    # no need to back it out.
  end
end
